Upload company logo
curl --request POST \
--url https://api.standardmetrics.io/v1/companies/{company_id}/logo/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.standardmetrics.io/v1/companies/{company_id}/logo/"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.standardmetrics.io/v1/companies/{company_id}/logo/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Companies
Upload company logo
Upload a new logo for an offline company. Replaces any existing logo.
Notes:
- File size limit: 5 MB maximum.
- Logo is owned by the firm since this action is only available for offline companies.
- Accepted file types:
- JPEG images (.jpg, .jpeg)
- PNG images (.png)
- GIF images (.gif)
- WEBP images (.webp)
Permissions:
- User must be authenticated via OAuth.
- User must have access to the company.
- User must have ADMIN or EDITOR role.
POST
/
companies
/
{company_id}
/
logo
/
Upload company logo
Authorizations
Your valid bearer token. All Auth tokens persist for all requests. Make sure to replace Client Credential Basic tokens with Bearer tokens after retrieving your bearer token. Go to the API Reference/Setup, User Guides/Initial Setup, or API Reference/Get API Access Token page to get your token.
Path Parameters
Body
multipart/form-dataapplication/x-www-form-urlencoded
The logo file to upload. Must be sent as part of a multipart/form-data POST request. File size limit: 5 MB maximum. Accepted file types: .jpg, .jpeg, .png, .gif, .webp